Welcome to iraf.net Friday, November 17 2017 @ 05:35 PM GMT


 Forum Index > Help Desk > Systems New Topic Post Reply
 IRAF on UBUNTU (URGENT)
   
ross58
 06/25/2006 06:39PM (Read 16060 times)  
+----
Newbie

Status: offline


Registered: 06/23/2006
Posts: 2
After a whole day spent in front of my lap I have to ask for help again.
Iím trying to install scisoft on ubuntu.
I have followed the instruction supplied by the install file.
Everything seems to work at first sight but there are problems now and then.
I have substituted the IB and NB dir with the files ib.lnux.x86.gz and
nb.lnux.x86.gz as suggested.
The first probems arise when I write
. /scisoft/bin/Setup.bash
in fact I get
barbara@ubuntu:/scisoft/bin$ . /scisoft/bin/Setup.bash
bash: [: missing `]'
bash: i686: command not foundand when I write :cd $iraf/unix/hlib
and then: ./install -nI get:The AS, IB, and NB distribution files are shown where they
*** should be unpacked. Please verify the structure and the
*** system architecture.What shall I do?Besides, some instruction say that I should also substitute the utilities of extern/Iraf.
I have found where to get them but I would like to receive some step by step notes if itís possibleThank you
Ross58

 
Profile Email
 Quote
emiliano
 06/25/2006 06:39PM  
+++--
Chatty

Status: offline


Registered: 12/05/2005
Posts: 38
Hello Ross,the Setup.bash is not part of the iraf system, but comes from the scisoft installation, and is used by each user to set the right environment variables needed by scisoft applications (and then, by iraf).[quote:f7d68f015b]
barbara@ubuntu:/scisoft/bin$ . /scisoft/bin/Setup.bash
bash: [: missing `]'
bash: i686: command not found
[/quote:f7d68f015b]this could be a syntax error in a "test operator" like:if [ -e some_file ]
then ...
else ...
fior other kind of tests (that is, something different inside square brackets).
I remember there were some bugs in the scisoft scripts (at least in the OSX version...).
Could you please please post your setup.bash script, or at least the section that causes the error?For the next problem:
[quote:f7d68f015b]
The AS, IB, and NB distribution files are shown where they
*** should be unpacked. Please verify the structure and the
*** system architecture.
[/quote:f7d68f015b]my guess is that, since the Setup.bash failed and did not set right value for IRAFARCH for example, the installation script could not figure out the right kind of system... [b:f7d68f015b]maybe[/b:f7d68f015b] you can try with:[code:1:f7d68f015b]
./install -m linux
[/code:1:f7d68f015b]to force the installer to use lnux binaries, but [b:f7d68f015b]I'm not sure[/b:f7d68f015b] :shock:You should also try to contact Scisoft support or helpdesk, since, I guess, your problems are due to the failing Setup.bash script...Cheers,
Emiliano.
P.S. could you please post the output of command "set" (i.e. your environment variables) after the error in Setup.bash ?

 
Profile Email
 Quote
rubab
 06/25/2006 06:39PM  
++---
Junior

Status: offline


Registered: 06/18/2007
Posts: 17
This page describes how to setup IRAF on a Ubuntu/Debian machine. Apart from the exact commands, there are some instructions in square brackets that need to be followed. Installation of X11IRAF, DS9, Tables, and STSDAS are included.http://geco.phys.columbia.edu/~rubab/iraf/

 
Profile Email
 Quote
Santiago
 06/25/2006 06:39PM  
++---
Junior

Status: offline


Registered: 08/16/2008
Posts: 34
i tried that but there is no libncurses4 library to install, i enabled all repos, including backports... there is one lib that is libncurses5... but i don't know if it is correct to install this instead.
And when installing ia32-libs ia32-libs-gtk linux32, it says that:
Package ia32-libs-gtk is a virtual package provided by:
ia32-libs 2.2ubuntu11
but 2.2ubuntu11 lib is not found on the repos... again don't know if there is something missing here...hey thanks for the reply!Best regards,Santiago Roland.-
Los Molinos Observatory
IAU code 844
Montevideo, Uruguay

Lic. Santiago Roland - Los Molinos Observatory - IAU Code 844 - Licensed Radio Amateur CX1DR - Montevideo, Uruguay
 
Profile Email
 Quote
Gregorio
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/30/2006
Posts: 5
Hi Barbara and all,I've done several successful installations of Iraf under Ubuntu.
In one of those installs I followed the instructions of Rubab and in the my last Iraf 2.14 /Ubuntu 8.06LTS I used a cd install. You can burn the ISO into a CD or like I did, installed Gmount-iso and then run the ISO file calling it from the Gmount-iso program.
This ISO I found in a webpage from Fernando Avila, a Spanish fellow,
http://cosmos.astro.uson.mx/~favilac/linastro.html and here is the link to download the iso.
http://www.astro.uson.mx/%7Efavilac/downloads/ubuntu-iraf/iso/IRAF_Ubuntu.iso.
It also install :
DS9
Pyraf
STSDAS
TABLES
etc...I hope this tip helps a lot of unexperienced user like me to get their ubuntu / iraf to work.Joao

 
Profile Email Website
 Quote
Santiago
 06/25/2006 06:39PM  
++---
Junior

Status: offline


Registered: 08/16/2008
Posts: 34
I downloaded the CD iso and noticed that it is only for 32 bit machines... so, it can't install the libraries in the first place.My system is Ubuntu Hardy Heron (8.04 LTS) for the AMD64 bit architecture processor....If anyone made IRAF work on a machine like this... please let me know how...Best Regards,Santiago.-

Lic. Santiago Roland - Los Molinos Observatory - IAU Code 844 - Licensed Radio Amateur CX1DR - Montevideo, Uruguay
 
Profile Email
 Quote
Gregorio
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/30/2006
Posts: 5
Santiago,This link http://mjhutchinson.com/journal/2006/11/05/install_iraf_on_ubuntu_edgy_amd64
Shows how this guy did it on Edgy, perhaps you can see how its done and give it a try.Make sure you read all before you try...read also the comments posted at the end of the article.Good luckJoao Gregorio
www.atalaia.org/gregorio

 
Profile Email Website
 Quote
favilac
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/16/2005
Posts: 10
Hi, I'm the author of the cd installer. I have an updated script installer here:
http://cosmos.astro.uson.mx/~favilac/downloads/ubuntu-iraf/files/install-ubuntu64.shOr, you can edit the install script you already have to add the dependencies "ia32-libs ia32-libs-gtk linux32", in the DEPS line of the install.sh file.Let me know if it works for you.

 
Profile Email Website
 Quote
favilac
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/16/2005
Posts: 10
Ok, I've noticed a small problem in the scripts, which are now corrected.The install scripts for debian and ubuntu, for 32 and 64 bits are here:An updated iso with all the installers will be up tomorrow night.

 
Profile Email Website
 Quote
Gregorio
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/30/2006
Posts: 5
Hi Fernando,Thanks for your trouble. It's great to have such an installer.Joao Gregorio

 
Profile Email Website
 Quote
lpetras
 06/25/2006 06:39PM  
++---
Junior

Status: offline


Registered: 08/12/2006
Posts: 16
[quote:b5d080b992="favilac"]Hi, I'm the author of the cd installer. I have an updated script installer here:
http://cosmos.astro.uson.mx/~favilac/downloads/ubuntu-iraf/files/install-ubuntu64.shOr, you can edit the install script you already have to add the dependencies "ia32-libs ia32-libs-gtk linux32", in the DEPS line of the install.sh file.Let me know if it works for you.[/quote:b5d080b992]Tried the iso and was able to install IRAF system OK but get following error when it is trying to install PyRaf/usr/lib/gcc/x86_64-linux-gnu/4.2.3/include/limits.h not found
Of course I can find the file Frown Any idea why I am seeing this errors ?Linas

 
Profile Email
 Quote
lpetras
 06/25/2006 06:39PM  
++---
Junior

Status: offline


Registered: 08/12/2006
Posts: 16
oops forgot the details:running install-ubuntu64.sh on Ubuntu8.04-x64. No errors up too the point were it starts to compile for PyRaf..Linas

 
Profile Email
 Quote
Jason Quinn
 06/25/2006 06:39PM  
+++++
Active Member

Status: offline


Registered: 04/07/2006
Posts: 175
[quote:9495b350f9="lpetras"][quote:9495b350f9="favilac"]Hi, I'm the author of the cd installer. I have an updated script installer here:
http://cosmos.astro.uson.mx/~favilac/downloads/ubuntu-iraf/files/install-ubuntu64.shOr, you can edit the install script you already have to add the dependencies "ia32-libs ia32-libs-gtk linux32", in the DEPS line of the install.sh file.Let me know if it works for you.[/quote:9495b350f9]Tried the iso and was able to install IRAF system OK but get following error when it is trying to install PyRaf/usr/lib/gcc/x86_64-linux-gnu/4.2.3/include/limits.h not found
Of course I can find the file Frown Any idea why I am seeing this errors ?Linas[/quote:9495b350f9]Scisoft needs Fedora because it requires Fedora libraries. I have tried to get it running on Ubuntu unsuccessfully. Scisoft is just a collection of software. Just install the software you need when you need it.Jason

 
Profile Email
 Quote
favilac
 06/25/2006 06:39PM  
+----
Newbie

Status: offline


Registered: 12/16/2005
Posts: 10
lpetras>You need to install libc6-dev-amd64 .Because I install early on build-essential I overlooked that I need to specify it in the DEPS field of the installer.I'll have the updated files tonight. For the moment, installing this package should do it.

 
Profile Email Website
 Quote
   
Content generated in: 0.22 seconds
New Topic Post Reply

Normal Topic Normal Topic
Sticky Topic Sticky Topic
Locked Topic Locked Topic
New Post New Post
Sticky Topic W/ New Post Sticky Topic W/ New Post
Locked Topic W/ New Post Locked Topic W/ New Post
View Anonymous Posts 
Anonymous users can post 
Filtered HTML Allowed 
Censored Content 
dog allergies remedies cialis 20 mg chilblain remedies


Privacy Policy
Terms of Use

User Functions

Login